Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: Help Me Please!

Please help, I'm trying to use an app on my Ipod touch 5 but I am unable to download it because it need IOS 10 or later, so I went into my settings to update it and it said up to date 9.3.5 and I am unable to update it anymore. I am an animator in the making and I wanted to get flipaclip to make animations but because of this problem I am unable to. Please help I need to upload videos to youtube soon!! 😢

iPod touch, iOS 9.3.5

Posted on

Reply
Question marked as Solved
Answer:
Answer:
it said up to date 9.3.5

That is as far as you can update an iPod touch 5.

You'll need to get a newer device to get a newer iOS version.

Posted on

Page content loaded

User profile for user: Sprinklewulf

Question: Help Me Please!